<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US" prefix="og: http://ogp.me/ns# fb: http://ogp.me/ns/fb#">
<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<link rel="shortcut icon" href="//www.virendrachandak.com/techtalk/wp-content/themes/zbench/favicon.ico"/>
	<link rel="icon" href="//www.virendrachandak.com/techtalk/wp-content/uploads/2014/11/favicon-545530f9_site_icon-32x32.png" sizes="32x32"/>
	<link rel="apple-touch-icon-precomposed" href="//www.virendrachandak.com/techtalk/wp-content/uploads/2014/11/favicon-545530f9_site_icon-128x128.png">
	<meta name="msapplication-TileImage" content="//www.virendrachandak.com/techtalk/wp-content/uploads/2014/11/favicon-545530f9_site_icon-128x128.png"/>
	<title>How to create Triangles using CSS</title>
	<link rel="stylesheet" type="text/css" media="all" href="//www.virendrachandak.com/techtalk/wp-content/themes/zbench/style.css"/>
	<link href="//www.virendrachandak.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
	<link rel="stylesheet" type="text/css" media="all" href="//www.virendrachandak.com/demos/demo.css"/>
	<meta name="description" content="How to create Triangles using CSS"/><meta property="og:description" content="How to create Triangles using CSS"/><link rel="canonical" href="https://www.virendrachandak.com/demos/css-triangles-arrows-designs.php"/><meta property="og:url" content="https://www.virendrachandak.com/demos/css-triangles-arrows-designs.php"/> <meta property="og:title" content="How to create Triangles using CSS"/>
	<meta property="og:site_name" content="Virendra&#039;s TechTalk"/>
	<meta property="article:publisher" content="https://www.facebook.com/pages/Virendras-Techtalk/338923339568884"/>
	<meta property="article:author" content="https://www.facebook.com/virendrachandak"/>
	<meta property="fb:admins" content="676690793"/>
	<meta property="twitter:account_id" content="4503599629352810"/>
	<meta name="twitter:card" content="summary"/>
	<meta name="twitter:site" content="@virendrachandak"/>
	<meta name="twitter:domain" content="Virendra&#039;s TechTalk"/>
	<meta name="twitter:creator" content="@virendrachandak"/>
	<link rel="publisher" href="https://plus.google.com/115357318350699889829/"/>
	<link rel="author" href="https://plus.google.com/+VirendraChandak" title="Virendra Chandak on Google+"/>
	<script type="text/javascript">
		var _gaq = _gaq || [];
		_gaq.push(['_setAccount', 'UA-32573884-1']);
		_gaq.push(['_gat._forceSSL']);
		_gaq.push(['_setSiteSpeedSampleRate', 100]);
		_gaq.push(['_trackPageview']);
		(function () {
			var ga = document.createElement('script');
			ga.type = 'text/javascript';
			ga.async = true;
			ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
			var s = document.getElementsByTagName('script')[0];
			s.parentNode.insertBefore(ga, s);
		})();
		</script>
	<script type='text/javascript' src='//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js'></script>
	<!-- BEGIN Tynt Script -->
	<script type="text/javascript">
		if(document.location.protocol=='http:'){
			var Tynt=Tynt||[];Tynt.push('cIw852sN4r44npacwqm_6r');
			(function(){var s=document.createElement('script');s.async="async";s.type="text/javascript";s.src='http://tcr.tynt.com/ti.js';var h=document.getElementsByTagName('script')[0];h.parentNode.insertBefore(s,h);})();
		}
	</script>
	<!-- END Tynt Script -->
</head>
<body class="home blog">
	<!-- Google Tag Manager -->
	<noscript><iframe src="//www.googletagmanager.com/ns.html?id=GTM-5BDV4G"
		height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
		<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
			new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
		j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
		'//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
	})(window,document,'script','dataLayer','GTM-5BDV4G');</script>
	<!-- End Google Tag Manager -->
	<header id="nav">
		<div id="header1" style="">
			<h1><a href="https://www.virendrachandak.com/techtalk/">Virendra&#039;s TechTalk</a></h1>
		</div>
	</header>
	<section class="article_info_container">
		<div class="article_info clearfix">
			<div class="article_info_text">
				<h1 itemprop="name" class="title entry-title hidden">How to create Triangles using CSS</h1>This is a demo page for <span class="demo_article_link"><a href="https://www.virendrachandak.com/techtalk/css-triangles-arrows-designs/">How to create Triangles using CSS</a></span>
			</div>
			<div class="article_info_icons">
				<a id="article_link" class="icon fa fa-reply" data-title="Back to article" href="https://www.virendrachandak.com/techtalk/css-triangles-arrows-designs/"></a>
				<a id="source_link" class="icon fa fa-download" data-title="Download Source Code" href="http://www.virendrachandak.com/demos/css-triangles-arrows-designs.zip"></a>
			</div>
		</div>
	</section>
	<div style="border-bottom:1px dotted #DDD; margin:15px 0;">
		<div style="width:728px; margin:15px auto;">
			<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
			<ins class="adsbygoogle"
			style="display:inline-block;width:728px;height:90px"
			data-ad-client="ca-pub-3401361814519397"
			data-ad-slot="2564195193"></ins>
			<script>
			(adsbygoogle = window.adsbygoogle || []).push({});
			</script>
		</div>
	</div>
	<div id="demo-wrapper">
<style>
	.container{margin:0 auto; width:960px}
	.entry-col-50{width:432px; float:left; margin:18px !important;}
</style>

<div class="container entry">
<div>On this page all the shapes are created using CSS and a single HTML element. All the CSS is editable, so you can even change it and see what it will look like.</div>

<div class="entry-col-50">
<h3>Up Arrow</h3>
<div class="vc-arrow-up"></div>
<style contenteditable="true">.vc-arrow-up {
	border-left:15px solid transparent;
	border-right:15px solid transparent;
	border-bottom:15px solid #666666;
	height:0;
	width:0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Down Arrow</h3>
<div class="vc-arrow-down"></div>
<style contenteditable="true">.vc-arrow-down {
	border-left: 15px solid transparent;
	border-right: 15px solid transparent;
	border-top: 15px solid #009900;
	height: 0;
	width: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Right arrow</h3>
<div class="vc-arrow-right"></div>
<style contenteditable="true">.vc-arrow-right {
	border-top: 15px solid transparent;
	border-bottom: 15px solid transparent;
	border-left: 15px solid #FF3300;
	height: 0;
	width: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Left arrow</h3>
<div class="vc-arrow-left"></div>
<style contenteditable="true">.vc-arrow-left {
	border-top: 15px solid transparent;
	border-bottom: 15px solid transparent;
	border-right: 15px solid #0033FF;
	height: 0;
	width: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi colored Div</h3>
<div class="vc-arrow-multicolor"></div>
<style contenteditable="true">.vc-arrow-multicolor {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: solid;
	border-width: 20px;
	width: 0;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi-color, border-style:double</h3>
<div class="vc-arrow-multicolor-double"></div>
<style contenteditable="true">.vc-arrow-multicolor-double {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: double;
	border-width: 20px;
	width: 0;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Single color, border-style:double</h3>
<div class="vc-arrow-singlecolor-double"></div>
<style contenteditable="true">.vc-arrow-singlecolor-double {
	border: 20px double #666666;
	width: 0;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Single color, border-style:groove</h3>
<div class="vc-arrow-singlecolor-groove"></div>
<style contenteditable="true">.vc-arrow-singlecolor-groove {
	border: 20px groove #666666;
	width: 0;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi-color, border-style:ridge</h3>
<div class="vc-arrow-multicolor-ridge"></div>
<style contenteditable="true">.vc-arrow-multicolor-ridge {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: ridge;
	border-width: 20px;
	width: 0;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi-color, border-style:outset</h3>
<div class="vc-arrow-multicolor-outset"></div>
<style contenteditable="true">.vc-arrow-multicolor-outset {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: outset;
	border-width: 20px;
	width: 0;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Single color, border-style:inset</h3>
<div class="vc-arrow-singlecolor-inset"></div>
<style contenteditable="true">.vc-arrow-singlecolor-inset {
	border: 20px inset #666666;
	width: 0;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Single color, border-style:double, non-zero width</h3>
<div class="vc-arrow-singlecolor-double-width"></div>
<style contenteditable="true">.vc-arrow-singlecolor-double-width {
	border: 20px double #666666;
	width: 20px;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi colored Div, non-zero width:</h3>
<div class="vc-arrow-multicolor-width"></div>
<style contenteditable="true">.vc-arrow-multicolor-width {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: solid;
	border-width: 20px;
	width: 20px;
	height: 0;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi colored Div, non-zero height</h3>
<div class="vc-arrow-multicolor-height"></div>
<style contenteditable="true">.vc-arrow-multicolor-height {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: solid;
	border-width: 20px;
	width: 0;
	height: 20px;
}
</style>
</div>

<div class="entry-col-50">
<h3>Single color, border-style:double, non-zero height</h3>
<div class="vc-arrow-singlecolor-double-height"></div>
<style contenteditable="true">.vc-arrow-singlecolor-double-height {
	border: 20px double #666666;
	width: 0;
	height: 20px;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi colored Div, non-zero height and width</h3>
<div class="vc-arrow-multicolor-height-width"></div>
<style contenteditable="true">.vc-arrow-multicolor-height-width {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: solid;
	border-width: 20px;
	width: 20px;
	height: 20px;
}
</style>
</div>

<div class="entry-col-50">
<h3>Multi colored Div, different border widths and heights</h3>
<div class="vc-arrow-multicolor-border-width"></div>
<style contenteditable="true">.vc-arrow-multicolor-border-width {
	border-color: #FF3300 #0033FF #FFFF00 #009900;
	border-style: solid;
	border-width: 15px 30px 30px 10px;
	width: 0;
	height: 0;
}
</style>
</div>
</div>
	</div>
	<div class="clear"></div>
	<div style="border-top:1px dotted #DDD; margin:15px 0;">
		<div style="width:728px; margin:15px auto;">
			<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
			<ins class="adsbygoogle" style="display:inline-block;width:728px;height:90px" data-ad-client="ca-pub-3401361814519397" data-ad-slot="5516046732"></ins>
			<script>
				(adsbygoogle = window.adsbygoogle || []).push({});
			</script>
		</div>
	</div>
	<footer id="footer">
		<div id="footer-inside">
			<p>Copyright &copy; 2014 Virendra&#039;s TechTalk | <a href="https://www.virendrachandak.com/techtalk/disclaimer/">Disclaimer</a> | <a href="https://www.virendrachandak.com/techtalk/privacy/">Privacy</a></p>
			<span id="back-to-top">&uarr; <a href="#" rel="nofollow" title="Back to top">Top</a></span>
		</div>
	</footer>
	 
	<script type="text/javascript">
		var _qevents = _qevents || [];
		(function() {
			var elem = document.createElement('script');
			elem.src = (document.location.protocol == "https:" ? "https://secure" : "http://edge") + ".quantserve.com/quant.js";
			elem.async = true;
			elem.type = "text/javascript";
			var scpt = document.getElementsByTagName('script')[0];
			scpt.parentNode.insertBefore(elem, scpt);
		})();
		_qevents.push({
			qacct:"p-dgZ4_09vZKC4w"
		});
		</script>
	<noscript>
	<div style="display:none;">
		<img src="//pixel.quantserve.com/pixel/p-dgZ4_09vZKC4w.gif" border="0" height="1" width="1" alt="Quantcast"/>
	</div>
	</noscript>
	 
	<script>
	jQuery('#article_link').on('click', function() {
		ga('send', 'event', 'article', 'https://www.virendrachandak.com/techtalk/css-triangles-arrows-designs/', 'go-to-article', 1);
		_gaq.push(['_trackEvent', 'article', 'https://www.virendrachandak.com/techtalk/css-triangles-arrows-designs/', 'go-to-article', 1, true]);
	});
	jQuery('#source_link').on('click', function() {
		ga('send', 'event', 'download', 'http://www.virendrachandak.com/demos/css-triangles-arrows-designs.zip', 'download-source', 1);
		_gaq.push(['_trackEvent', 'download', 'http://www.virendrachandak.com/demos/css-triangles-arrows-designs.zip', 'download-source', 1, true]);
	});
	</script>
</body>
</html>
